## aresponses 3.0.0

=== Makefile ===
SHELL := /bin/bash
python_version = 3.9.18
venv_prefix = aresponses
venv_name = $(venv_prefix)-$(python_version)
pyenv_instructions=https://github.com/pyenv/pyenv#installation
pyenv_virt_instructions=https://github.com/pyenv/pyenv-virtualenv#pyenv-virtualenv


init: require_pyenv  ## Setup a dev environment for local development.
	@pyenv install $(python_version) -s
	@echo -e "\033[0;32m ✔️  🐍 $(python_version) installed \033[0m"
	@if ! [ -d "$$(pyenv root)/versions/$(venv_name)" ]; then\
		pyenv virtualenv $(python_version) $(venv_name);\
	fi;
	@pyenv local $(venv_name)
	@echo -e "\033[0;32m ✔️  🐍 $(venv_name) virtualenv activated \033[0m"
	pip install --upgrade pip pip-tools -r .github/workflows/ci-requirements.txt
	@echo -e "\nEnvironment setup! ✨ 🍰 ✨ 🐍 \n\nCopy this path to tell PyCharm where your virtualenv is. You may have to click the refresh button in the pycharm file explorer.\n"
	@echo -e "\033[0;32m"
	@pyenv which python
	@echo -e "\n\033[0m"
	@echo -e "The following commands are available to run in the Makefile\n"
	@make -s help

af: autoformat  ## Alias for `autoformat`
autoformat:  ## Run the autoformatter.
	@black .

test:  ## Run the tests.
	@pytest
	@echo -e "The tests pass! ✨ 🍰 ✨"

lint:  ## Run the code linter.
	@flake8 --statistics --append-config=tox.ini .
	@echo -e "No linting errors - well done! ✨ 🍰 ✨"

deploy:  ## Deploy the package to pypi.org
	pip install twine wheel
	-git tag $$(python setup.py -V)
	git push --tags
	python setup.py bdist_wheel
	python setup.py sdist
	@echo 'pypi.org Username: '
	@read username && twine upload dist/* -u $$username;
	rm -rf build
	rm -rf dist
	@echo "Deploy successful! ✨ 🍰 ✨"

requirements:  ## Freeze the requirements.txt file
	pip-compile setup.py .github/workflows/ci-requirements.in --output-file=.github/workflows/ci-requirements.txt --upgrade

require_pyenv:
	@if ! [ -x "$$(command -v pyenv)" ]; then\
	  echo -e '\n\033[0;31m ❌ pyenv is not installed.  Follow instructions here: $(pyenv_instructions)\n\033[0m';\
	  exit 1;\
	else\
	  echo -e "\033[0;32m ✔️  pyenv installed\033[0m";\
	fi
	@if ! [[ "$$(pyenv virtualenv --version)" == *"pyenv-virtualenv"* ]]; then\
	  echo -e '\n\033[0;31m ❌ pyenv virtualenv is not installed.  Follow instructions here: $(pyenv_virt_instructions) \n\033[0m';\
	  exit 1;\
	else\
	  echo -e "\033[0;32m ✔️  pyenv-virtualenv installed\033[0m";\
	fi

help: ## Show this help message.
	@## https://gist.github.com/prwhite/8168133#gistcomment-1716694
	@echo -e "$$(grep -hE '^\S+:.*##' $(MAKEFILE_LIST) | sed -e 's/:.*##\s*/:/' -e 's/^\(.\+\):\(.*\)/\\x1b[36m\1\\x1b[m:\2/' | column -c2 -t -s :)" | sort

=== debian/changelog ===
aresponses (3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Replace remaining uses of event_loop fixture, for compatibility with
    pytest-asyncio >= 1.0.0.
  * Use pybuild-plugin-pyproject.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 01:05:30 +0100

aresponses (3.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 09:34:40 +0900

aresponses (3.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1061777)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 20:35:05 +0900

=== debian/control ===
Source: aresponses
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-aiohttp <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/aresponses/aresponses
Vcs-Browser: https://salsa.debian.org/python-team/packages/aresponses
Vcs-Git: https://salsa.debian.org/python-team/packages/aresponses.git

Package: python3-aresponses
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Asyncio testing server for mocking external services
 An asyncio-based testing server designed for mocking external services. It
 allows developers to simulate various network conditions and responses using
 real network connections. Key features include support for regular expression
 matching on domain, path, method, or body, handling HTTPS requests by switching
 them to HTTP, and using callables for dynamic responses.  It is ideal for
 testing asynchronous HTTP clients and ensuring robust error handling in network
 interactions. The library supports repeated routes, JSON responses, and custom
 handlers, making it versatile for comprehensive testing scenarios.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aresponses
export PYBUILD_TEST_ARGS=-k "not test_foo and not test_passthrough"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf aresponses.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-pytest-asyncio, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aresponses-$1\.tar\.gz/ \
  https://github.com/aresponses/aresponses/tags .*/v?(\d\S+)\.tar\.gz
